Subject: Re: Fw: graphics, treatise

From: Pierre Perol-Schneider <[email-masked]>
Date: Sat, 2 Apr 2016 11:31:21 +0200

Bonjour René, bonjour à Tous,

Je me suis penché sur le sujet ce matin.
Ci-joint les 6 premières pages de "Treatise" pour essai (attention, c'est
en v2.19).
Ma méthode :
1 - Enregistrer chaque page de la partition originale au format *.eps;
2 - Créer un fichier "de travail" par page combinant du "papier millimétré"
(fichier graphPaper joint - ex. de la page 1 joint mais non compilable car
le fichier *.eps associé est trop lourd pour être envoyé via la liste.
J'enverrai tout fichier à la demande en privé. Plus de détail sur
l'utilisation du "papier millimétré" ici :
http://lilypond.1069038.n5.nabble.com/Introducing-some-path-drawing-tools-td174557.html
);
3 - Reproduire les glyphes avec la commande graphique 'path';
4 - Intégrer chaque page dans le fichier final (ici cardew-treatise.ly)

Les limites :
1. La commande graphique 'path' utilise les courbes de Bézier. On peut
facilement utiliser des approximations pour effectuer des cercles (en 4
parties par ex, ce que j'ai fait). En revanche, les segments de cercle sont
plus problématiques.
2. Les traits à main-levée demande une attention particulière. Je pense a
priori qu'ils seront les plus complexes à reproduire (je ne m'y suis pas
attaqué).
3. L'idéal serai d'associer un fichier midi à la partition, peut-être en
travaillant avec quelqu'un qui a l'oreille absolue (que je n'ai pas). Ce
serai en tout cas très intéressant pour mieux comprendre l’œuvre de Cardew
(avis qui n'engage que moi).
4. Il va falloir faire des choix; par ex. un cercle qui ressemble à un
cercle mais qui, dans la partition originale, n'est pas tout à fait un
cercle doit-il être compris comme un cercle (oui dans mon choix) ? Doit-on
utiliser les glyphes de LP lorsque ça y ressemble (oui pour les clefs, les
têtes de note et les altérations dans mon choix, j'ai un doute pour les
"petites notes") ? Doit-on styliser les traits à main-levée ? Etc.
Bref, mieux vaut bien connaître l’œuvre de Cardew (ce qui n'est pas mon
cas) pour faire des choix, si ce n'est "les bons", du moins "dans l'esprit".

Bien cordialement,
Pierre

Le 28 mars 2016 à 18:56, René Bastian <[email-masked]> a écrit :

>
> Bonjour Lilypond,
>
> Le lien
>
>
> https://www.google.co.uk/search?q=cornelius+cardew+treatise+score&hl=en&client=firefox-a&hs=mLZ&tbo=u&rls=org.mozilla:enUS:official&tbm=isch&source=univ&sa=X&ei=AvXOUIO4A6Wr0AX-xICYBw&ved=0CDoQsAQ&biw=910&bih=616&gws_rd=ssl
>
> donne accès à une collection de graphismes musicaux (en particulier
> Treatise de Cornelius Cardew (ce sont les images ayant une double
> portée en bas de page).
>
> Pensez-vous que c'est réalisable en Lilypond ?
>
> (Pour ne pas encombrer la liste, répondez en privé en donnant une
> réponse-note allant de 0 à 10 pour évaluer la difficulté).
>
> Avec mes remerciements,
>
> --
> René Bastian
> www.pythoneon.org
>
> _______________________________________________
> liste de diffusion lilypond-user-fr
> [email-masked]
> https://lists.gnu.org/mailman/listinfo/lilypond-user-fr
>

---

From: René Bastian <[email-masked]>
Date: Sat, 2 Apr 2016 20:20:40 +0200

Quel travail !

Bonjour Pierre,

À ma connaissance, Cornelius Cardew a aidé Stockhausen à réaliser ses
pratitions semi-graphiques (p.ex. Mixtur). 

je mets quelques remarques ou suggestions dans le corps du message.

Avec toute mon admiration !

René

Le Sat, 2 Apr 2016 11:31:21 +0200,
Pierre Perol-Schneider <[email-masked]> a écrit :

> Ci-joint les 6 premières pages de "Treatise" pour essai (attention,
> c'est en v2.19).
> Ma méthode :
> 2 - Créer un fichier "de travail" par page combinant du "papier
> millimétré" (fichier graphPaper joint - ex. de la page 1 joint mais
> non compilable car le fichier *.eps associé est trop lourd pour être
> envoyé via la liste. J'enverrai tout fichier à la demande en privé.
> Plus de détail sur l'utilisation du "papier millimétré" ici :

Ça me semble une excellent méthode.
> facilement utiliser des approximations pour effectuer des cercles (en
> 4 parties par ex, ce que j'ai fait). En revanche, les segments de
> cercle sont plus problématiques.

Lilypond ne semble pas (encore) intégrer toutes instructions PostScript
qui inclut "arcn" (x, y, rayon, angle1, angle2); ça ne devrait pas être 
trop difficile à faire.

> 2. Les traits à main-levée demande une attention particulière. Je
> pense a priori qu'ils seront les plus complexes à reproduire (je ne
> m'y suis pas attaqué).

Il y a des tremblés intentionnels - mais peut-être pas tous.

> 3. L'idéal serai d'associer un fichier midi à la partition, peut-être
> en travaillant avec quelqu'un qui a l'oreille absolue (que je n'ai
> pas). Ce serai en tout cas très intéressant pour mieux comprendre
> l’œuvre de Cardew (avis qui n'engage que moi).

Le but esthétique de Cardew n'était pas un rendu « plastifié » mais une
notation interprétable par des gens non spécialisés (d'où le
Scratch Orchestra auquel il a participé - et que j'ai vu/entendu en
1972)

> cercle doit-il être compris comme un cercle (oui dans mon choix) ?
> Doit-on utiliser les glyphes de LP lorsque ça y ressemble (oui pour
> les clefs, les têtes de note et les altérations dans mon choix, j'ai
> un doute pour les "petites notes") ? Doit-on styliser les traits à
> main-levée ? Etc. Bref, mieux vaut bien connaître l’œuvre de Cardew
> (ce qui n'est pas mon cas) pour faire des choix, si ce n'est "les
> bons", du moins "dans l'esprit".

Attention: certains signes/symboles musicaux (p.ex. une clé) sont aussi
allusifs; donc pas à lecture univoque.

-- 
René Bastian
www.pythoneon.org

---

From: Pierre Perol-Schneider <[email-masked]>
Date: Sun, 3 Apr 2016 11:01:43 +0200

Cher René,

Merci pour vos compliments et très vos intéressantes remarques.
Je pense même que ce sera l'occasion pour moi de me plonger dans un monde
musical qui, jusqu'ici, ne m'a pas spécialement attiré.
Bonne continuation et bon dimanche,

Pierre